# SNESGetJacobian

Returns the Jacobian matrix and optionally the user provided context for evaluating the Jacobian.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetJacobian(SNES snes,Mat *A,Mat *B,PetscErrorCode (**func)(SNES,Vec,Mat*,Mat*,MatStructure*,void*),void **ctx)

Not Collective, but Mat object will be parallel if SNES object is

### Input Parameter

snes -the nonlinear solver context

### Output Parameters

| A | - location to stash Jacobian matrix (or PETSC_NULL)
| B | - location to stash preconditioner matrix (or PETSC_NULL)
| func | - location to put Jacobian function (or PETSC_NULL)
| ctx | - location to stash Jacobian ctx (or PETSC_NULL)

### See Also

SNESSetJacobian(), SNESComputeJacobian()

Level:advanced
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages